## hildon-thumbnail 3.0.44+0m5

=== debian/changelog ===
hildon-thumbnail (3.0.44+0m5.debian-1) unstable; urgency=low

  * New upstream release.
  * debian/update-patches.mk: Some misc changes.
  * debian/patches/:
    + Add patch to fix linking in a test. (Closes: #554802)
    + Dropped all vala patches as these files are now all gone.
    + Dropped pointer patch; fixed upstream.
  * Changed source format to 3.0 (quilt).
  * debian/control:
    + Upped Standards-Version. (no changes)
    + Added libexif-dev build-dep.
    + Added ${misc:Depends} to -dbg package.
  * debian/rules:
    + Added --enable-libexif.
    + Dropped call to autogen.sh.
    + Set libexecdir to /usr/lib/hildon-thumbnail.
  * debian/watch: Removed; they keep moving everything around so often
    anyway.
  * debian/hildon-thumbnail.install: Updated with new version.
  * debian/hildon-thumbnail.lintian-overrides: Added to override lintian
    error.
  * Rename hildon-thumbnailer-wrap.sh to remove the extension.

 -- Jonny Lamb <jonny@debian.org>  Sat, 15 May 2010 17:36:56 +0100

hildon-thumbnail (3.0.23~svn18048-4) unstable; urgency=low

  * debian/patches/0004-Use-the-correct-types-to-fix-a-FTBFS.patch:
    Added. Thanks to peter green <plugwash@p10link.net> for the
    patch. (Closes: #537007)
  * debian/control:
    + Upped Standards-Version. (no changes)
    + Removed trailing whitespace.

 -- Jonny Lamb <jonny@debian.org>  Wed, 14 Oct 2009 21:20:33 +0100

hildon-thumbnail (3.0.23~svn18048-3) unstable; urgency=low

  * Do not require ioprio_set, (Closes: #523599)

 -- Riku Voipio <riku.voipio@iki.fi>  Thu, 16 Apr 2009 21:18:25 +0300

hildon-thumbnail (3.0.23~svn18048-2) unstable; urgency=low

  * debian/rules: Call patch target before configure. (Closes: #523500)

 -- Jonny Lamb <jonny@debian.org>  Fri, 10 Apr 2009 20:36:49 +0100

hildon-thumbnail (3.0.23~svn18048-1) unstable; urgency=low

  [ Loic Minier ]
  * Merge new upstream releases from Ubuntu up from 2.0.0 to 2.0.0-0ubuntu1.1
    (ubuntu's r18).
    - Fix conflicts:
      . Use upstream version in configure.ac
      . Drop Ubuntu entries in ChangeLog.
      . Drop Ubuntu Maintainer field changes.
      . Keep simple patchsys in rules and cdbs build-dep.
    - Rebuild a tarball from a SVN export of r15022 and document this in the
      copyright; drop AM_MAINTAINER_MODE as it's not present upstream and we
      can't usefully track an autogen run in the .diff.gz.

  [ Jonny Lamb ]
  * New upstream snapshot.
  * debian/gbp.conf: Added git-buildpackage config file.
  * debian/README.source: Added.
  * debian/update-patches.mk: Added.
  * debian/rules:
    + Include update-patches.mk.
    + Replace simple-patchsys with quilt.
    + Removed pointeless comments.
    + Call autogen.sh to create configure.
  * debian/control:
    + Use my debian.org email address.
    + Upped Standards-Version.
    + Added Vcs-{Git,Browser} fields.
    + Remove cdbs build-dep and add quilt.
    + Correct package Sections.
    + Updated deps and build-deps for new upstream snapshot.
  * debian/patches/:
    + Regenerated using update-patches.
    + 0002-Don-t-try-and-build-google-images-art-downloader.h.patch: Added
      to fix build.

 -- Jonny Lamb <jonny@debian.org>  Fri, 10 Apr 2009 13:57:17 +0100

hildon-thumbnail (2.0.0-0ubuntu1) hardy; urgency=low

  * Repack to have a orig tarball.
  * Add in cdbs' patch system, and add a patch that uses %p rather than %08X
    for printing pointers.
  * Munge Maintainer field to Ubuntu Mobile Developers.

 -- Steve Kowalik <stevenk@ubuntu.com>  Thu, 14 Feb 2008 14:32:51 +1100

hildon-thumbnail (0.14-1) unstable; urgency=low

  [ Loic Minier ]
  * Set Maintainer to Debian Maemo Maintainers; add myself to Uploaders.
  * Bump up Standards-Version to 3.7.2.
  * Add URL in copyright.
  * Add watch file.
  * Cleanup rules.
  * Only pass --host to configure if DEB_HOST_GNU_TYPE and DEB_BUILD_GNU_TYPE
    differ.
  * Wrap build-deps and deps.
  * Remove doc dir from AC_OUTPUT too as it's not listed in Makefile.am and
    seems to not produce any doc.
  * Use AM_CFLAGS instead of CFLAGS in thumbs/Makefile.am; run automake-1.8.
  * Add AM_MAINTAINER_MODE to configure.ac; update autotools generated files;
    pass --disable-maintainer-mode to configure.

  [ Jonny Lamb ]
  * Updated description in control.
  * Merge with trunk branch.
  * Add myself to Uploaders.
  * Merge with trunk branch.
  * Added note to copyright about repacking.
  * Fixed lintian warnings.
  * Changed library names from libhildon-thumbnail to libhildonthumbnail to
    be the same as the SONAME.
  * Initial release into Debian (Closes: #452154)
  * Bumped Standards-Version.

  [ Riku Voipio ]
  * Remove traces of transitional packages

 -- Riku Voipio <riku.voipio@iki.fi>  Tue, 08 Jan 2008 23:13:31 +0200

hildon-thumbnail (0.11ubuntu2) UNRELEASED; urgency=low

  * Remove osso-thumbnail directory from debian/ in source package.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Mon, 04 Jun 2007 15:30:58 +0200
