=== debian/control ===
Source: hildon-thumbnail
Section: libs
Priority: optional
Maintainer: Debian Maemo Maintainers <pkg-maemo-maintainers@lists.alioth.debian.org>
XSBC-Original-Maintainer: Marius Vollmer <marius.vollmer@nokia.com>
Uploaders: Loic Minier <lool@dooz.org>, Jonny Lamb <jonny@debian.org>,
           Riku Voipio <riku.voipio@iki.fi>
Build-Depends: debhelper (>= 6.0.7~),
               pkg-config,
               libgtk2.0-dev,
               libglib2.0-dev,
               gtk-doc-tools,
               libosso-dev,
               libxml2-dev,
               libdbus-glib-1-dev,
               libdbus-1-dev,
               libgstreamer0.10-dev,
               libpng12-dev,
               libsqlite3-dev,
               libexif-dev
Standards-Version: 3.8.4
Vcs-Git: git://git.debian.org/pkg-maemo/hildon-thumbnail.git
Vcs-Browser: http://git.debian.org/?p=pkg-maemo/hildon-thumbnail.git

Package: hildon-thumbnail
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: osso-thumbnailer-libid3 (>= 0.3.0)
Description: Hildon thumbnail library related programs
 hildon-thumbnail is a thumbnail-generating and managing helper
 library for the hildon desktop. It includes an API for getting
 thumbnails for files. It is designed for devices with low performance
 and little memory. Also included is a thumbnailer plugin for files
 supported by GdkPixbuf.
 .
 This package contains the hildon-thumb-gdk-pixbuf and
 hildon-thumber-register programs.

Package: libhildonthumbnail0
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Hildon thumbnail library - runtime files
 hildon-thumbnail is a thumbnail-generating and managing helper
 library for the hildon desktop. It includes an API for getting
 thumbnails for files. It is designed for devices with low performance
 and little memory. Also included is a thumbnailer plugin for files
 supported by GdkPixbuf.
 .
 This package contains the runtime library

Package: libhildonthumbnail0-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, libhildonthumbnail0 (= ${binary:Version})
Description: Hildon thumbnail library - debug symbols
 hildon-thumbnail is a thumbnail-generating and managing helper
 library for the hildon desktop. It includes an API for getting
 thumbnails for files. It is designed for devices with low performance
 and little memory. Also included is a thumbnailer plugin for files
 supported by GdkPixbuf.
 .
 This package contains the debug symbols.

Package: libhildonthumbnail-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libhildonthumbnail0 (= ${binary:Version}),
         libgtk2.0-dev,
         libosso-dev,
         libdbus-glib-1-dev
Description: Hildon thumbnail library - development files
 hildon-thumbnail is a thumbnail-generating and managing helper
 library for the hildon desktop. It includes an API for getting
 thumbnails for files. It is designed for devices with low performance
 and little memory. Also included is a thumbnailer plugin for files
 supported by GdkPixbuf.
 .
 This package contains the header files and other bits needed for
 developing with libhildonthumbnail
