=== debian/rules ===
#!/usr/bin/make -f
include $(CURDIR)/debian/update-patches.mk

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS += -Wall -g -O$(if $(findstring noopt,$(DEB_BUILD_OPTIONS)),0,2)

configure_flags := \
		--prefix=/usr \
		--sysconfdir=/etc \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--libexecdir=\$${prefix}/lib/hildon-thumbnail \
		--disable-dependency-tracking \
		--disable-maintainer-mode \
		--enable-libexif

ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	configure_flags += --build=$(DEB_BUILD_GNU_TYPE)
else
	configure_flags += --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
endif

config.status:
	dh_testdir
	CFLAGS="$(CFLAGS)" ./configure $(configure_flags)

build: build-stamp
build-stamp: config.status
	dh_testdir
	$(MAKE)
	touch $@

clean::
	dh_testdir
	dh_testroot
	rm -f build-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	-test -r /usr/share/misc/config.sub && test -r config.sub && \
		cp -f /usr/share/misc/config.sub config.sub
	-test -r /usr/share/misc/config.guess && test -r config.guess && \
		cp -f /usr/share/misc/config.guess config.guess
	rm -rf debian/build
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/build
	mv $(CURDIR)/debian/build/usr/bin/hildon-thumbnailer-wrap.sh \
		$(CURDIR)/debian/build/usr/bin/hildon-thumbnailer-wrap

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_install --sourcedir=debian/build -v
	dh_installman
	dh_lintian
	dh_link
	dh_strip --dbg-package="libhildonthumbnail0-dbg"
	dh_compress
	dh_fixperms
	dh_makeshlibs -V
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
