## hildon-thumbnail 3.0.50%2b0m5

=== debian/changelog ===
hildon-thumbnail (3.0.50+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 3.0.50+0m5

 -- Gary Birkett <ext-gary.2.birkett@nokia.com>  Wed, 21 Apr 2010 14:27:59 +0300

hildon-thumbnail (3.0.50) unstable; urgency=low

  * Fixes: NB#160239 - When cleaning up old thumbnails, also remove "fail" files

 -- Alban Crequy <alban.crequy@collabora.co.uk>  Tue, 20 Apr 2010 17:18:55 +0100

hildon-thumbnail (3.0.49) unstable; urgency=low

  * Fixes: NB#160239 - Accept a difference up to 2 seconds when comparing mtime

 -- Alban Crequy <alban.crequy@collabora.co.uk>  Wed, 14 Apr 2010 14:24:37 +0100

hildon-thumbnail (3.0.48) unstable; urgency=low

  [Alban Crequy]
  * Fixed NB#162985 - Mediaplayer crashed once when trying to play avi clip
    from video library view (PE1 version)
  * Fixed NB#162986 - Captured images are getting corrupted (PE1 version)

 -- Marc Ordinas i Llopis <marc.ordinasillopis@collabora.cu.uk>  Thu, 01 Apr 2010 11:06:52 +0200

hildon-thumbnail (3.0.47) unstable; urgency=low

  * Fixed NB#148356 Fix refcount issue in inqueue, and more resistant code
    in on_got_handle

 -- Alban Crequy <alban.crequy@collabora.co.uk>  Wed, 31 Mar 2010 13:40:29 +0100

hildon-thumbnail (3.0.46) unstable; urgency=low

  * Fixed NB#160239 Ignore failed request for 5 seconds in case the writing
    is still in progress (Workaround)

 -- Alban Crequy <alban.crequy@collabora.co.uk>  Wed, 24 Mar 2010 18:47:37 +0000

hildon-thumbnail (3.0.45) unstable; urgency=low

  [Mikael Ottela]
  * Fixes: NB#155644: gst-video-thumbnailerd crash after scrolling videos in
    media player by reverting "Queue playback state requests until done with
    particular clip."

 -- Marc Ordinas i Llopis <marc.ordinasillopis@collabora.cu.uk>  Fri, 05 Feb 2010 11:06:52 +0200
