## hildon-thumbnail 3.0.51%2b0m5

=== debian/changelog ===
hildon-thumbnail (3.0.51+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 3.0.51+0m5

 -- Gary Birkett <ext-gary.2.birkett@nokia.com>  Mon, 07 Jun 2010 19:21:32 +0300

hildon-thumbnail (3.0.51) unstable; urgency=low

  * Fixes: NB#160239 - Clean failed thumbnails at every reboot

 -- Alban Crequy <alban.crequy@collabora.co.uk>  Tue, 11 May 2010 19:13:36 +0100
