## hildon-thumbnail 3.0.51+0m5+0cssu1

=== debian/changelog ===
hildon-thumbnail (3.0.51+0m5+0cssu1) unstable; urgency=low

  * Disable creating thumbnails for obex in client part as
    there is no working implementation of obexftp in gvfs
  * Prepare for obex support
  * Fix leak in autoplug-continue
  * Add rc-clean-fail-thumbnail

 -- Ludek Finstrle <luf@pzkagis.cz>  Thu, 07 Mar 2013 01:35:06 +0100
