## hildon-thumbnail 3.0.51+0m5+0cssu1+thumb0

=== debian/changelog ===
hildon-thumbnail (3.0.51+0m5+0cssu1+thumb0) unstable; urgency=low

  * Thumb2 compiled

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Sat, 13 Jul 2013 14:19:33 +0300
