=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
 Package: libhildon-thumbnail0
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, kernel-feature-errata-430973-workaround[armel]
 Conflicts: osso-thumbnail0 (<< 0.3.0), osso-thumbnail-libid3 (<< 0.3.0)
 Description: Thumbnail library.
  Contains the thumbnail library.
